%define _without_test 1
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp/Clan.pm) perl(ExtUtils/MakeMaker.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(MooseX/POE.pm) perl(MooseX/POE/Aliased.pm) perl(POE.pm) perl(Scalar/Util.pm) perl(Set/Object/Weak.pm) perl(Test/More.pm) perl(Tie/RefHash.pm) perl(Tie/RefHash/Weak.pm) perl(ok.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name POE-Component-ResourcePool
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Asynchronous generic resource management for POE
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/N/NU/NUFFIN/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This resource pool object provides very flexible resource management for POE
based apps.

A pool consists of any number of named, abstract resources to be shared amongst
several tasks.

Requests for resources can contain arbitrary parameters and are fulfilled with
arbitrary values.

The pool will manage resources, sharing them between requests as they become
available.

Using a simple interface one can easily write arbitrary resource abstractions,
which are potentially affected by outside mechanisms (for example the token
bucket resource allows time based throttling).


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_privlib/P*

%changelog
* Mon May 26 2014 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

